// TCP_IP.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"
#include "SerialDLL.h"
#include <windows.h>
#include <tchar.h>
#include <stdio.h>
#include <sstream>
#include <ctime>

#define WIN32_LEAN_AND_MEAN

 
extern "C"
{

    using namespace System;
    using namespace System::Runtime::InteropServices;

    DCB dcb = {0};
    HANDLE hPort;
    unsigned char memcopy[200];

	//Test Function
	DECLDIR unsigned char Add( unsigned char a, unsigned char b )
	{
		return (a+b);
	}
	
	
	DECLDIR unsigned char ReadTime( char unit )
	{
	    time_t t = time(0);   // get time now	
	    struct tm * now = localtime( & t );
	
        if (unit == 0)
        {
          return now->tm_hour;
        }
        if (unit == 1)
        {
          return now->tm_min;
        }
        if (unit == 2)
        {
          return now->tm_sec;
        }

        return 0;
	}
	
	
	DECLDIR unsigned char ReadDate( char unit )
	{
	    time_t t = time(0);   // get time now	
	    struct tm * now = localtime( & t );
	
        if (unit == 0)
        {
          return now->tm_year - 100;
        }
        if (unit == 1)
        {
          return now->tm_mon + 1;
        }
        if (unit == 2)
        {
          return now->tm_mday;
        }

        return 0;
	}


	DECLDIR unsigned char CopyMemFromPointer( unsigned long pointer )
	{
        unsigned char strlen;
        unsigned char dummy = 0;
	    
	    IntPtr iptr = IntPtr(pointer);
	    
	    Marshal::PtrToStringAnsi(iptr);
	    
	    //CopyMemory(pointer, &memcopy, 200);
	    
	    for (strlen = 0; memcopy[strlen] > 0; strlen++)
	    {
	      dummy++;
	    }
	    
        return strlen;
	}


	DECLDIR unsigned char ReadByteFromPointer( unsigned char index )
	{
        return memcopy[index];
	}

	
}